﻿#!/usr/bin/env python
"""Django's command-line utility for administrative tasks."""
import os
import sys

import waitress
from mydjango.wsgi import application

# Получаем номер порта из переменной среды IIS
PORT = os.getenv("ASPNETCORE_PORT", "5000")

def main():
    """Run administrative tasks."""
    os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'mydjango.settings')
    try:
        from django.core.management import execute_from_command_line
    except ImportError as exc:
        raise ImportError(
            "Couldn't import Django. Are you sure it's installed and "
            "available on your PYTHONPATH environment variable? Did you "
            "forget to activate a virtual environment?"
        ) from exc
    
    # Такое разветвление разделяет поток команд: 
    # команда runwaitress запускает сервер Waitress и веб-приложение,
    # стандартные команды передаются фреймворку Django.
    if len(sys.argv) > 1 and sys.argv[1] == "runwaitress" :
        waitress.serve(application, port=PORT, host="localpydjangowaitress")
    else:
        execute_from_command_line(sys.argv)
    

if __name__ == '__main__':
    main()
